#!/usr/bin/env perl
# $Id: not.com.pl,v 1.7 2021/03/15 02:44:50 dpchrist Exp $
# Adapted from Yary's solution
# Public Domain.
#
# https://github.com/doomvox/raku-study/blob/main/bin/2021feb28/pcre_regex_to_append_path_non_redundantly.t

use strict;
use warnings;

use Data::Dumper;
use File::Basename;
use File::Slurp;
use Getopt::Long;

my $base	= basename $0;

die "Usage: $base FILE\n" unless @ARGV == 1;

my $file	= shift;

my $in		= read_file($file);

(my $out = $in) =~
    s~^(?!(?:\s*[^:]*:)*/usr/local/bin(?:\s+|:|$)).*\K$~:/usr/local/bin~ ;

print $out;
